dist_MtoE = 401.3e9; %m

%GMO orbit distance.  
Ts = 88642; %sec
rmars = 3397e3; %m
Mmars = 6.4191e23; %kg
G = 6.672e-11;
R_GMO = (sqrt(G*Mmars)*Ts/(2*pi))^(2/3) - rmars; %m

Vsat = 2*pi*R_GMO/Ts/1e3; %km/s

%max dist to ground term from satellite
d = sqrt((rmars)^2+(rmars+R_GMO)^2);

%distance between two GMO satellites 
dist_sats = sqrt(3)*(R_GMO+rmars)

%beamwidth requirements sat-term link
beamwidth_sat = 2*atand(rmars/R_GMO)