%calculating modulation parameters

%downlink bandwidth
bitrate = 1.5e6; %bits/sec
codingrate = .5; %1/2 rate turbo code
coding_gain = 10;
codedbitrate = bitrate/codingrate;

%BPSK: 1 QPSK:2
mod = 2; %bits/sym
symrate = codedbitrate/mod; %sym/sec

%using optimum rolloff factor determined in homework
r = .3500;
BW_coded  = (1+r)*symrate;
M = 240;
BW = BW_coded*M; %hz
BWlink_Mhz = BW / 1e6;

procgain = 10*log10(M);