clear
clc
close all
format compact


run distances

[x3, y3, z3] = sphere;
surf(x3.*rmars, y3.*rmars, z3.*rmars);


theta = [0:.01:2*pi];

phi(1:numel(theta)) = 0;

r(1:numel(theta)) = R_GMO+rmars;

[x, y, z] = sph2cart(theta,phi, r);

hold on
plot3(x, y, z, '-yo')
axis equal

%comet3(x,y,z)

